MONGOC_CLIENT_POOL_POP(3)

NAME
mongoc_client_pool_pop() - None

SYNOPSIS

mongoc_client_t *
mongoc_client_pool_pop (mongoc_client_pool_t *pool);

Retrieve a mongoc_client_t from the client pool, possibly blocking until one is available.

PARAMETERS

pool
    A mongoc_client_pool_t \&.

RETURNS

A mongoc_client_t \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.